Media uses the following trick to depend on File Entity 2.x while working around weirdness with -dev releases:

dependencies[] = file_entity (>1.99)

So the same trick can be applied to the Shipping dependency in this module.

Comments

Version:» 7.x-1.x-dev

Hmm, I tried this but then there's no way to install without using Git deploy (I presume) since grabbing versions using Git directly does not include specific version information in .info files. Any workaround for that?

Status:Active» Postponed (maintainer needs more info)

Status:Postponed (maintainer needs more info)» Closed (won't fix)

Nope.